using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;

namespace CarCenterContracts.BusinessLogicsContracts
{
    public interface ISaleLogic
    {
        List<SaleViewModel>? ReadList(SaleSearchModel? model);
        SaleViewModel? ReadElement(SaleSearchModel model);
        bool Create(SaleBindingModel model);
        bool Update(SaleBindingModel model);
        bool Delete(SaleBindingModel model);
    }
}
